> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List a model's deployments

> Fetch the list of deployments for the specified model.



## OpenAPI

````yaml /api-reference/saas/machine-learning-models.json get /customers/{CUSTOMER_ID}/ai/models/{MODEL_ID}/deployments
openapi: 3.1.0
info:
  title: Lucidworks AI Models API
  version: '1.0'
  description: >-
    The Lucidworks AI Models API is used to discover available pre-trained and
    custom models, as well as train and deploy those models.


    The endpoints require an authentication token with scope
    `machinelearning.model`.
  contact:
    name: Lucidworks
    url: https://lucidworks.com/
    email: support@lucidworks.com
  termsOfService: https://lucidworks.com/legal/developer-license-agreement/
  license:
    name: Lucidworks
    url: https://lucidworks.com/legal/developer-license-agreement/
servers:
  - url: https://api.lucidworks.com
security: []
tags:
  - name: Manage models
    description: View and create models.
  - name: Manage deployments
    description: View and create custom model deployments.
paths:
  /customers/{CUSTOMER_ID}/ai/models/{MODEL_ID}/deployments:
    parameters:
      - schema:
          type: string
        name: CUSTOMER_ID
        in: path
        required: true
        description: Unique identifier derived from confidential client information.
      - schema:
          type: string
        name: MODEL_ID
        in: path
        required: true
        description: Unique identifier for the model.
    get:
      tags:
        - Manage deployments
      summary: List a model's deployments
      description: Fetch the list of deployments for the specified model.
      operationId: get-models-modelId-deployments
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/getModelIdDeployments'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseGetModelIdDeployments'
components:
  schemas:
    getModelIdDeployments:
      title: getModelIdDeployments
      type: object
      description: >-
        GET
        https://api.lucidworks.com/customers/{CUSTOMER_ID}/ai/models/{MODEL_ID}/deployments
    responseGetModelIdDeployments:
      title: responseGetModelIdDeployments
      type: array
      items:
        type: object
        properties:
          id:
            type: string
            description: >-
              The identifier for the custom model. The value is the universally
              unique identified (UUID) that is the primary key for the model. 
          modelId:
            type: string
            description: >-
              The identifier for the deployed custom model. The value is the
              universally unique identified (UUID) reference the foreign keys
              for the model. 
          region:
            type: string
            description: The geographic region specified when the custom model is deployed.
          config:
            $ref: '#/components/schemas/deploymentConfig'
          minReplicas:
            type: integer
            description: The minimum value of Seldon replicas for the model.
            default: 1
            minimum: 1
          maxReplicas:
            type: integer
            default: 1
            description: The maximum value of Seldon replicas for the model.
          state:
            type: string
            description: >-
              This field specifies the current status of the custom model. The
              value is `DEPLOYING` or `DEPLOYED`.
          deployedAt:
            type: string
            format: date-time
            description: The date and time the deployment occurred.
          createdBy:
            type: string
            description: The user who created the deployment.
    deploymentConfig:
      title: deploymentConfig
      type: object
      properties:
        parameter_1:
          type: string
          description: >-
            A unique parameter for the model deployment that is passed to the
            workflow as a raw JSON blob.
        parameter_2:
          type: string
          description: >-
            A unique parameter for the model deployment that is passed to the
            workflow as a raw JSON blob.

````